"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStyle = void 0;
const styles_1 = require("@mui/styles");
exports.useStyle = (0, styles_1.makeStyles)({
    root: ({ padding, margin, outline, border, width, height, maxWidth, maxHeight, backgroundColor, textColor, borderRadius, cursor, hoverBackgroundColor, hoverTextColor, disabledBackgroundColor, disabledTextColor, }) => ({
        padding,
        margin,
        outline,
        border,
        width,
        height,
        maxWidth,
        maxHeight,
        backgroundColor,
        color: textColor,
        borderRadius,
        cursor,
        "&:hover": {
            backgroundColor: hoverBackgroundColor,
            color: hoverTextColor,
        },
        "&:disabled": {
            backgroundColor: disabledBackgroundColor,
            color: disabledTextColor,
        },
    }),
});
//# sourceMappingURL=styles.js.map