"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Captcha = void 0;
const react_1 = __importStar(require("react"));
const react_google_recaptcha_1 = __importDefault(require("react-google-recaptcha"));
const RECAPTCHA_URL = "https://www.google.com/recaptcha/api.js";
const Captcha = ({ siteKey, onChange }) => {
    (0, react_1.useEffect)(() => {
        const script = document.createElement("script");
        script.src = RECAPTCHA_URL;
        script.async = true;
        document.body.appendChild(script);
    }, []);
    return react_1.default.createElement(react_google_recaptcha_1.default, { sitekey: siteKey, onChange: onChange, size: "normal" });
};
exports.Captcha = Captcha;
//# sourceMappingURL=Captcha.js.map