export interface DropdownStyleProps {
    width?: string;
    height?: string;
    padding?: string;
    margin?: string;
    backgroundColor?: string;
    textColor?: string;
    cursor?: string;
    labelBackgroundColor?: string;
    labelTextColor?: string;
    optionsContainerWidth?: string;
    optionsContainerHeight?: string;
    hoverBackgroundColor?: string;
    hoverTextColor?: string;
    optionMargin?: string;
    optionPadding?: string;
    optionWidth?: string;
    optionHeight?: string;
    hoverOptionBackgroundColor?: string;
    hoverOptionTextColor?: string;
    selectedOptionBackgroundColor?: string;
}
export declare const useStyle: (props: DropdownStyleProps) => import("@mui/styles").ClassNameMap<"container" | "option" | "labelContainer" | "dropdownContainer" | "selectedValue" | "optionContainer">;
