"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HiddenInput = void 0;
const TextField_1 = __importDefault(require("@mui/material/TextField"));
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const styles_1 = require("../styles");
const HiddenInput = ({ className, name, id, type, value, padding, margin, }) => {
    const classes = (0, styles_1.useStyle)({
        padding,
        margin,
    });
    return (react_1.default.createElement(TextField_1.default, { className: (0, classnames_1.default)(classes.root, className), name: name, id: id, type: type, value: value }));
};
exports.HiddenInput = HiddenInput;
//# sourceMappingURL=HiddenInput.js.map