/// <reference types="react" />
export interface InputFieldStyleProps {
    padding?: string;
    margin?: string;
    errorBackgroundColor?: string;
    errorTextColor?: string;
    textColor?: string;
    helperTextBackgroundColor?: string;
    helperTextTextColor?: string;
    icon?: JSX.Element;
    backgroundColor?: string;
    width?: string;
    height?: string;
    cursor?: string;
    outline?: string;
    border?: string;
    borderRadius?: string;
    error?: boolean;
    helperText?: boolean;
}
export declare const useStyle: (props: InputFieldStyleProps) => import("@mui/styles").ClassNameMap<"error" | "container" | "root" | "textColor" | "helperText" | "fileHelperText">;
