"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMultiStepperStyles = void 0;
const styles_1 = require("@mui/styles");
exports.useMultiStepperStyles = (0, styles_1.makeStyles)(() => ({
    root: ({ width, height, maxWidth, maxHeight, border, borderRadius, outline, backgroundColor, textColor, }) => ({
        width,
        height,
        maxWidth,
        maxHeight,
        border,
        borderRadius,
        outline,
        backgroundColor,
        color: textColor,
    }),
    backButton: {
        marginRight: "8px",
    },
    instructions: {
        marginTop: "8px",
        marginBottom: "8px",
    },
    contentContainer: {
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        justifyContent: "space-between",
        paddingBottom: "10px",
    },
}));
//# sourceMappingURL=styles.js.map