"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SnackbarWrapper = void 0;
const HighlightOff_1 = __importDefault(require("@mui/icons-material/HighlightOff"));
const material_1 = require("@mui/material");
const notistack_1 = require("notistack");
const react_1 = __importStar(require("react"));
const styles_1 = require("./styles");
const SnackbarWrapper = ({ children, }) => {
    const notistackRef = (0, react_1.useRef)(null);
    const classes = (0, styles_1.useSnackbarWrapperStyles)();
    const onClickDismiss = (key) => {
        if (notistackRef && notistackRef.current) {
            notistackRef.current.closeSnackbar(key);
        }
    };
    return (react_1.default.createElement(notistack_1.SnackbarProvider, { ref: notistackRef, hideIconVariant: true, action: (key) => (react_1.default.createElement(material_1.IconButton, { onClick: () => onClickDismiss(key) },
            react_1.default.createElement(HighlightOff_1.default, { className: classes.dismissButton }))), maxSnack: 3, dense: true, anchorOrigin: { vertical: "bottom", horizontal: "right" }, TransitionComponent: material_1.Fade, autoHideDuration: 4000 }, children));
};
exports.SnackbarWrapper = SnackbarWrapper;
//# sourceMappingURL=SnackbarWrapper.js.map