import { makeStyles, createStyles } from "@mui/styles";
export const useBasicImageSliderStyles = makeStyles((theme) => createStyles({
    basicImageSliderContainer: ({ containerWidth, containerHeight }) => {
        var _a;
        return (Object.assign(Object.assign({ display: "flex", alignItems: "center", justifyContent: "center", position: "relative", height: containerHeight, width: containerWidth }, (((_a = theme.palette) === null || _a === void 0 ? void 0 : _a.background.default) && {
            backgroundColor: theme.palette.background.default,
        })), { padding: "16px" }));
    },
    paper: {
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        padding: "16px",
    },
    imageContainer: ({ imgWidth, imgHeight }) => ({
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        marginBottom: "16px",
        width: imgWidth,
        height: imgHeight,
        objectfit: "cover",
        overflow: "hidden",
        backgroundRepeat: "no-repeat",
        backgroundPosition: "center",
        backgroundSize: "cover",
    }),
    buttonContainer: ({ buttonHeight }) => ({
        height: buttonHeight,
        display: "flex",
        position: "absolute",
        top: "50%",
        transform: "translateY(-50%)",
        "& > *": {
            margin: "8px",
        },
    }),
    iconButton: ({ buttonBorderRadius }) => ({
        borderRadius: buttonBorderRadius,
        "&:hover": {
            color: "black",
        },
    }),
    buttonLeft: {
        left: 0,
    },
    buttonRight: {
        right: 0,
    },
    caption: {
        textAlign: "center",
    },
}));
//# sourceMappingURL=styles.js.map