import { StepConnector } from "@mui/material";
import { withStyles } from "@mui/styles";
export const CustomConnector = ({ activeLineColor, completedLineColor, lineColor, }) => withStyles({
    alternativeLabel: {
        top: 10,
        left: "calc(-50% + 16px)",
        right: "calc(50% + 16px)",
    },
    active: {
        "& $line": Object.assign({}, (activeLineColor && { borderColor: activeLineColor })),
    },
    completed: {
        "& $line": Object.assign({}, (completedLineColor && { borderColor: completedLineColor })),
    },
    line: Object.assign(Object.assign({}, (lineColor && { borderColor: lineColor })), { borderTopWidth: 3, borderRadius: 1 }),
})(StepConnector);
//# sourceMappingURL=CustomConnector.js.map