import { makeStyles } from "@mui/styles";
export const useMultiStepperStyles = makeStyles(() => ({
    root: ({ width, height, maxWidth, maxHeight, border, borderRadius, outline, backgroundColor, textColor, }) => ({
        width,
        height,
        maxWidth,
        maxHeight,
        border,
        borderRadius,
        outline,
        backgroundColor,
        color: textColor,
    }),
    backButton: {
        marginRight: "8px",
    },
    instructions: {
        marginTop: "8px",
        marginBottom: "8px",
    },
    contentContainer: {
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        justifyContent: "space-between",
        paddingBottom: "10px",
    },
}));
//# sourceMappingURL=styles.js.map