"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useColorPickerStyles = void 0;
const styles_1 = require("@mui/styles");
exports.useColorPickerStyles = (0, styles_1.makeStyles)((theme) => {
    var _a, _b;
    return (0, styles_1.createStyles)({
        root: ({ padding, margin, width, height, maxWidth, maxHeight }) => (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (padding && { padding })), (margin && { margin })), (height && { height })), (width && { width })), (maxHeight && { maxHeight })), (maxWidth && { maxWidth }))),
        pickerButton: {
            width: 25,
            minWidth: 25,
            height: 25,
            borderRadius: "3px",
            backgroundColor: ({ color }) => { var _a; return color || ((_a = theme.palette) === null || _a === void 0 ? void 0 : _a.grey[100]) || "#404040"; },
            padding: 0,
            position: "relative",
            marginRight: "12px",
            "&::before": {
                position: "absolute",
                content: ({ color }) => (color ? "none" : '""'),
                width: "125%",
                height: 1,
                backgroundColor: ((_a = theme.palette) === null || _a === void 0 ? void 0 : _a.grey[400]) || "#606060",
                transform: "rotate(45deg)",
            },
            "&::after": {
                position: "absolute",
                content: ({ color }) => (color ? "none" : '""'),
                width: "125%",
                height: 1,
                backgroundColor: ((_b = theme.palette) === null || _b === void 0 ? void 0 : _b.grey[400]) || "#606060",
                transform: "rotate(-45deg)",
            },
            "&:hover": {
                backgroundColor: ({ color }) => { var _a; return color || ((_a = theme.palette) === null || _a === void 0 ? void 0 : _a.grey[100]) || "#404040"; },
            },
        },
        popoverPaper: {
            width: 230,
            height: 230,
            display: "flex",
            justifyContent: "center",
            alignItems: "center",
            backgroundColor: "transparent",
            boxShadow: "none",
        },
    });
}, { index: 1 });
//# sourceMappingURL=styles.js.map