import { ReactElement } from "react";
import { CursorType } from "../../types/cursorTypes";
import { ButtonTypes } from "../Button";
export interface IconButtonProps {
    className?: string;
    id?: string;
    name?: string;
    type?: ButtonTypes;
    children?: ReactElement;
    padding?: string;
    margin?: string;
    outline?: string;
    border?: string;
    borderRadius?: string;
    width?: string;
    height?: string;
    maxWidth?: string;
    maxHeight?: string;
    backgroundColor?: string;
    textColor?: string;
    hoverBackgroundColor?: string;
    hoverTextColor?: string;
    cursor?: CursorType;
    disabled?: boolean;
    title?: string;
    onClick?: (...args: any[]) => void;
    onFocus?: (...args: any[]) => void;
    onBlur?: (...args: any[]) => void;
}
