"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatDate = exports.defaultAmountFormat = exports.defaultDateFormat = void 0;
const date_fns_1 = require("date-fns");
exports.defaultDateFormat = "YYYY/MM/DD HH:mm:ss";
exports.defaultAmountFormat = {
    hasDecimalSeparator: true,
    decimalSeparator: ".",
    hasThousandsSeparator: false,
    thousandsSeparator: ",",
};
const formatDate = (value, dateFormat = exports.defaultDateFormat) => value
    ? (0, date_fns_1.format)(typeof value === "string" ? new Date(value) : value, dateFormat)
    : "";
exports.formatDate = formatDate;
//# sourceMappingURL=formatDate.js.map