"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFieldValue = void 0;
const getFieldValue = (target) => {
    switch (target.type) {
        case "amount":
        case "number":
            return isNaN(target.valueAsNumber) ? null : target.valueAsNumber;
        case "checkbox":
            return target.checked;
        default:
            return target.value === "" ? null : target.value;
    }
};
exports.getFieldValue = getFieldValue;
//# sourceMappingURL=getFieldValue.js.map