import React, { useEffect } from "react";
import ReCAPTCHA from "react-google-recaptcha";
const RECAPTCHA_URL = "https://www.google.com/recaptcha/api.js";
export const Captcha = ({ siteKey, onChange }) => {
    useEffect(() => {
        const script = document.createElement("script");
        script.src = RECAPTCHA_URL;
        script.async = true;
        document.body.appendChild(script);
    }, []);
    return React.createElement(ReCAPTCHA, { sitekey: siteKey, onChange: onChange, size: "normal" });
};
//# sourceMappingURL=Captcha.js.map