/// <reference types="react" />
export interface Step {
    label: string;
    component: JSX.Element;
    currentIcon?: JSX.Element;
    processedIcon?: JSX.Element;
    unprocessedIcon?: JSX.Element;
}
export interface MultiStepperProps {
    className?: string;
    id?: string;
    width?: string;
    maxWidth?: string;
    height?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
    border?: string;
    borderRadius?: string;
    outline?: string;
    backgroundColor?: string;
    textColor?: string;
    lineColor?: string;
    activeLineColor?: string;
    completedLineColor?: string;
    steps: Step[];
    onSubmit: (values: any) => void;
    currentIcon?: JSX.Element;
    processedIcon?: JSX.Element;
    unprocessedIcon?: JSX.Element;
    allStepsCompletedMessage?: string;
    submitButtonText?: string;
    backButtonText?: string;
    lastStepNextButtonText?: string;
    nextButtonText?: string;
}
export interface MultiStepperStyleProps {
    width?: string;
    maxWidth?: string;
    height?: string;
    maxHeight?: string;
    border?: string;
    borderRadius?: string;
    outline?: string;
    padding?: string;
    margin?: string;
    backgroundColor?: string;
    textColor?: string;
}
export interface CustomConnectorProps {
    lineColor?: string;
    activeLineColor?: string;
    completedLineColor?: string;
}
